"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flexbox = ({ width, theme, }) => {
    if (!width) {
        return;
    }
    const { breakpoints } = theme;
    const res = {
        flexBasis: '100%',
    };
    if (!Array.isArray(width)) {
        res['@media screen and (min-width: 64em)'] = {
            flexBasis: `${100 * width}%`,
        };
        return res;
    }
    for (let i = 0; i < width.length; i++) {
        if (breakpoints.length < i) {
            break;
        }
        const query = `@media screen and (min-width: ${breakpoints[i]})`;
        res[query] = {
            flexBasis: `${100 * width[i]}%`,
        };
    }
    return res;
};
const alignable = (isRow) => ({ verticalAlign, centered, }) => {
    const s = {
        justifyContent: undefined,
        alignItems: undefined,
    };
    if (verticalAlign) {
        s[isRow ? 'alignItems' : 'justifyContent'] = verticalAlign;
    }
    if (centered) {
        s[!isRow ? 'alignItems' : 'justifyContent'] = 'center';
    }
    return s;
};
exports.alignRow = alignable(true);
exports.alignColumn = alignable();
