import styled from 'styled-components';

import defaultTheme from '../../theme';
import { paddable, flexbox, alignColumn, alignRow } from '../../utils';

export interface FlexColumnProps {
  centered?: boolean;
  verticalAlign?: 'start' | 'center' | 'end';
  padded?: boolean;
  width?: number | number[];
}

export const FlexColumn = styled.div<FlexColumnProps>(
  {
    display: 'flex',
    flexFlow: 'column nowrap',
    height: '100%',
    padding: '0.5em',
  },
  alignColumn,
  flexbox,
  paddable,
);

FlexColumn.defaultProps = {
  theme: defaultTheme,
};

export interface FlexRowProps {
  centered?: boolean;
  verticalAlign?: 'start' | 'center' | 'end';
  padded?: boolean;
}

export const FlexRow = styled.div<FlexRowProps>(
  {
    display: 'flex',
    flexFlow: 'row wrap',
  },
  alignRow,
  paddable,
);

FlexRow.defaultProps = {
  theme: defaultTheme,
};
